function CustomDecorator() {
    var self = this;
    
    this.apply = function(containerName, container) {
        self.changeJsonProperties(container);
        return container;
    };
    
    this.changeJsonProperties = function(container) {
        if (container.name === 'userLogin') {
            var zmartFormLogin = getElementByName(container, 'login', 'widgets').shift();
            var loginWidget = getElementByName(container, 'login', 'widgets').shift();
            var usermailField = getElementByName(loginWidget, 'USERMAIL', 'fields').shift();
            var passwordField = getElementByName(loginWidget, 'PASSWORD', 'fields').shift();
            var fieldPassword = getElementByName(loginWidget,'PASSWORD', 'fields').shift();
            var fieldUserName = getElementByName(loginWidget,'USERMAIL', 'fields').shift();
            var buttonField = getElementByName(loginWidget,'SUBMIT', 'fields').shift();
            var imageField = getElementByName(loginWidget,'image', 'fields').shift();
            
            //Custom Tenplte Footer 'zmart-footer.html'
            zmartFormLogin.template = 'zmart-components#zmart-form-login.html';
            
            //Source image
            imageField.class = '12 img-size';
            window.imageLoginUrl = 'clients/grupo-lasses/images/logo-grupo-lasses.jpg';
            
            //Class
            fieldPassword.class = '12 input-top';
            fieldUserName.class = '12 input-top';
            buttonField.class = '12 input-top';
            
            //Placeholder
            usermailField.placeholder = usermailField.label;
            passwordField.placeholder = passwordField.label;
            delete usermailField.label;
            delete passwordField.label;
        }
    };
    
    function getElementByName(container, elementName, elementType){
        return container[elementType].filter(function(element){
            return element.name === elementName;
        });
    }
}

Configuration(function (ContainerDecoratorProvider, ContextRegister) {
    ContainerDecoratorProvider.registerProvider(new CustomDecorator());
});