<?php

namespace Util;

use Zeedhi\Framework\DependencyInjection\InstanceManager;
use Teknisa\Model\Geral;
use Teknisa\Model\Teknisa;

class RepositoryInstance {

    /** @return \Repositories\OAccTekMgr */
    public static function getOAccTekMgr()
    {
        return InstanceManager::getInstance()->getService('oAccTekMgrRepository');
    }

    /** @return \Repositories\Operador */
    public static function getOperador()
    {
        return InstanceManager::getInstance()->getService('operadorRepository');
    }

    /** @return Geral\Repositories\Paramsenha */
    public static function getParamSenha()
    {
        return InstanceProvider::getEntityManager()->getRepository(Utilities::GENERAL_ENTITY_NAMESPACE . 'Paramsenha');
    }

    /** @return Geral\Repositories\Controlsenha */
    public static function getControlSenha()
    {
        return InstanceProvider::getEntityManager()->getRepository(Utilities::GENERAL_ENTITY_NAMESPACE . 'Controlsenha');
    }

    /** @return Teknisa\Repositories\OmParamOrg */
    public static function getOmParamOrg()
    {
        return InstanceProvider::getEntityManager()->getRepository(Utilities::TEKNISA_ENTITY_DIR . 'OmParamOrg');
    }
}