function AclMessages() {
    /* + ----------------------------------- +
     * | Confirm messages                    |
     * + ----------------------------------- + */
    this.CON_DEL_PROFILE = 'Are you sure you want delete this profile?';
    this.CON_DEL_PROFILE_OPERATORS = 'Are you sure you want delete that operators related with this access profile?';
    this.CON_CHEN_ACCESS_PROFILE = 'Are you sure you want change the access control?';
    this.CON_DEL_OPERATOR = 'Do you want to delete the selected operator?';
    this.CON_DEL_BRANCH = 'Do you want to delete the selected branch?';
    this.CON_DEL_ORGANIZATION = 'Do you want to delete the selected organization?';

    /* + ----------------------------------- +
     * | Error messages                    |
     * + ----------------------------------- + */
    this.ERR_DEL_PROFILE = 'Error at try delete profile. Error: ';
    this.ERR_SAV_PROFILE = 'Error at try save profile. Error: ';
    this.ERR_SAV_PROFILE_OPERATORS = 'Fail at try relate the operators at this profile.';

    /* + ----------------------------------- +
     * | Alert messages                    |
     * + ----------------------------------- + */
    this.ALE_FILL_REQ_FIELD = 'The required fields must be filled.';
    this.ALE_PASSWORD_NOT_MATCH = 'Passwords do not match.';
    this.ALE_PASSWORD_INVALID_LENGTH = 'Password must contain between 6 and 20 characters.';
    this.ALE_NEW_PASSWORD_EQUAL_OLD = 'New password can not be the same as old';
    this.ALE_IMAGE_REQUIRED_FIELD = 'Choose a profile picture';
    this.ALE_PERMISSION_ORGANIZATION = 'You can only manipulate organizations in which you are inserted.';
    this.ALE_MIN_LENGTH_OPERATOR_CODE = 'O campo "Código" deve conter 12 caracteres.';

    /* + ----------------------------------- +
     * | Success messages                    |
     * + ----------------------------------- + */
    this.SUC_DEL_OPERATOR = 'Operator deleted successfully.';
    this.SUC_SAVE_OPERATOR = 'Operator save successfully.';
    this.SUC_DELETE_ACCESS_PROFILE = 'Access profile deleted successfully.';
    this.SUC_SAVE_ACCESS_PROFILE = 'Access profile saved successfully.';
    this.SUC_SAVE_RELATED_BRANCH = 'Branch saved successfully.';
    this.SUC_SAVE_RELATED_ORGANIZATION = 'Organization saved successfully.';
    this.SUC_SAVE_PASSWORD = 'Password changed successfully.';
    this.SUC_ACCESS_PROFILE_ACTIVATED = 'Access control activated successfully!';
    this.SUC_ACCESS_PROFILE_DISABLED = 'Access control disabled successfully!';
    this.SUC_DELETE_RELATED_BRANCH = 'Branch Deleted successfully.';
    this.SUC_DELETE_RELATED_ORGANIZATION = 'Organization Deleted successfully.';
}

Configuration(function(ContextRegister) {
    ContextRegister.register('AclMessages', AclMessages);
});